﻿using EF_CodeFirst_Update_MVC.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace EF_CodeFirst_Update_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }


        [HttpPost]
        public ActionResult Index(Customer customer)
        {
            using (CustomerDBContext context = new CustomerDBContext())
            {
                Customer updatedCustomer = (from c in context.Customers
                                            where c.CustomerId == customer.CustomerId
                                            select c).FirstOrDefault();

                if (updatedCustomer != null)
                {
                    updatedCustomer.Name = customer.Name;
                    updatedCustomer.Country = customer.Country;
                    context.SaveChanges();
                    ViewBag.Message = "Customer record updated.";
                }
                else
                {
                    ViewBag.Message = "Customer not found.";
                }
            }

            return View(customer);
        }
    }
}